Re-read a template's approval state
curl --request POST \
--url https://api.pineyard.ai/whatsapp/templates/{id}/sync-status \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/templates/{id}/sync-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/{id}/sync-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
}Templates
Re-read a template's approval state
POST
/
whatsapp
/
templates
/
{id}
/
sync-status
Re-read a template's approval state
curl --request POST \
--url https://api.pineyard.ai/whatsapp/templates/{id}/sync-status \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/whatsapp/templates/{id}/sync-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/whatsapp/templates/{id}/sync-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"purpose": "<string>",
"providerName": "<string>",
"languageCode": "<string>",
"category": "MARKETING",
"headerKind": "NONE",
"headerBindings": [
null
],
"bodyBindings": [
null
],
"buttonBindings": {},
"bodyPreview": "<string>",
"status": "DRAFT",
"senderId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"components": [
null
],
"sampleValues": {},
"rejectionReason": "<string>",
"providerCheckedAt": "<string>",
"submissionIsAutomatic": true,
"requiresRuntimeContext": true,
"headerMediaFileName": "<string>",
"headerMediaAttached": true,
"clicks": 123,
"trackedLinks": 123,
"providerCategory": "MARKETING"
}Required scope:
whatsapp.view, and API keys additionally need whatsapp.edit.Authorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Response
OK
Available options:
MARKETING, UTILITY, AUTHENTICATION Available options:
NONE, TEXT, IMAGE, DOCUMENT, VIDEO Show child attributes
Show child attributes
Available options:
DRAFT, PENDING, APPROVED, REJECTED, DISABLED Show child attributes
Show child attributes
Available options:
MARKETING, UTILITY, AUTHENTICATION 
